---

wowza_requirements:
  - openjdk-11-jre-headless
  - xz-utils

wowza_version: 4.7.7
wowza_package_url: https://panel.ubicast.eu/media/storage/WowzaStreamingEngine-{{ wowza_version }}-linux-x64-installer.deb
wowza_license: "{{ envsetup_wowza_license }}"
wowza_manager_pwd: "{{ envsetup_wowza_manager_pwd }}"
wowza_live_pwd: "{{ envsetup_wowza_live_pwd }}"
wowza_logs_retention: 7

# server

wowza_rest_enabled: false
wowza_rest_address: localhost
wowza_rest_port: 8087

wowza_command_enabled: false
wowza_command_listen: localhost
wowza_command_port: 8083

wowza_stats_enabled: false

wowza_jmx_enabled: false
wowza_jmx_address: localhost
wowza_jmx_rmi_adress: localhost
wowza_jmx_rmi_conn_port: 8084
wowza_jmx_rmi_registry_port: 8085

# vhost

wowza_rtmp_enabled: true
wowza_rtmp_address: "*"
wowza_rtmp_port: 1935

wowza_rtmps_enabled: false
wowza_rtmps_address: "*"
wowza_rtmps_port: 443

wowza_admin_enabled: false
wowza_admin_address: localhost
wowza_admin_port: 8086

# manager

wowza_manager_enabled: false
wowza_manager_address: localhost
wowza_manager_port: 8088

# proxy

wowza_proxy: "{{ envsetup_proxy_http | d() }}"
wowza_proxy_host: "{{ wowza_proxy | regex_replace('https?://(?:[\\w_\\-]+:[\\w_\\-]+@)?([\\w_\\-\\.]+)(?::[\\d]+)?/?', '\\1') }}"
wowza_proxy_port: "{{ wowza_proxy | regex_replace('https?://(?:[\\w_\\-]+:[\\w_\\-]+@)?[\\w_\\-\\.]+(?::([\\d]+))?/?', '\\1') }}"
wowza_proxy_user: "{{ wowza_proxy | regex_replace('https?://(?:([\\w_\\-]+):[\\w_\\-]+@)?[\\w_\\-\\.]+(?::[\\d]+)?/?', '\\1') }}"
wowza_proxy_pass: "{{ wowza_proxy | regex_replace('https?://(?:[\\w_\\-]+:([\\w_\\-]+)@)?[\\w_\\-\\.]+(?::[\\d]+)?/?', '\\1') }}"

# firewall

wowza_firewall_enabled: true
wowza_ferm_rules_filename: wowza
wowza_ferm_input_rules:
  - proto:
      - tcp
    dport:
      - 1935
wowza_ferm_output_rules: []
wowza_ferm_global_settings:

...
